<?php
define('STEED_THEME_ID', 'steed-medicals');

add_action( 'after_setup_theme', 'Medicals__setup');
function Medicals__setup(){
	//add_action( 'widgets_init', 'Medicals__widgets_init' );
	
}

add_image_size('Medicals__400', 400, 400, true);
add_filter('tallythemesetup_load_v2', '__return_true');


add_filter('image_size_names_choose','Medicals__image_size_names',10,1);
function Medicals__image_size_names($sizes){
    // Give them a name, and presto!

    $sizes['Medicals__400']= 'Medicals 400x300';

    // Don't forget to return the array of sizes.
    return $sizes;
}


function Medicals__modify_theme_intro_page($data){
	$data['menu_name'] = 'Medicals';
	$data['page_name'] = 'About Medicals';
	$data['welcome_title'] = sprintf( __( 'Welcome to %s! - Version ', 'medicals' ), 'Medicals' );
	$data['welcome_content'] = esc_html__( 'The demand of Medical care is increasing around the world as because the growing population requires Medicals services since it is the basic human needs that we can’t ignore. In this point of view, Medicals practitioners are quite demanding. Despite having high demand still some level of competition prevailing in this industry. Therefore having an online presence is vital if you are of the same niche. Whatever your business is Medical WordPress Theme Pro is undoubtedly perfect for doctors, hospitals, surgeons, dentists, clinics and for other similar websites. So you don’t have to waste more time for searching an ideal theme for your website. Medical WordPress Theme Pro is a good choice to go with. We furnished this Medical WordPress theme with modern brilliant design, superfluid layout, elegant features and impressive functionality to manage schedule, doctors, services, galleries, testimonials and blog pages right away.', '{{theme_name}' );
	$data['support_content']['second']['button_link'] = esc_url('http://tallythemes.com/doc-item/medicals-wordpress-theme-documentation'); //Documentation Link
	$data['support_content']['sixth']['button_link'] = esc_url('http://tallythemes.com/doc-item/medicals-wordpress-theme-documentation'); //Documentation Link
	$data['getting_started']['second']['button_link'] = esc_url('http://tallythemes.com/doc-item/medicals-wordpress-theme-documentation'); //Documentation Link
	$data['free_pro']['free_theme_name'] = 'Medicals';
	$data['free_pro']['pro_theme_name'] = 'Medicals PRO';
	$data['free_pro']['pro_theme_link'] = esc_url('http://tallythemes.com/product/medical-wordpress-theme-medicals-pro/'); // PRO Theme Link
	
	return $data;
}
add_filter('steed_about_page_array', 'Medicals__modify_theme_intro_page');



add_filter('tallythemesetup_demo_data', 'Medicals__demo_data');
function Medicals__demo_data(){
	if(!function_exists('Medicals__theme_extended')){
		return  array(
			'xml' => get_stylesheet_directory().'/includes/demo/free-content.xml', //xml file path or false to disable
			'widget' => false, //wie file path or false to disable
			'home' => 'Home',  //Name or false to disable
			'blog' => 'Blog', //Name or false to disable
			'menus' => array(/*array or false to disable*/
				array('title' => 'Primary', 'location' => 'header_menu'),
			),
			'revolution_sliders' => false, //array or false to disable
			'plugins' => array(/*array or false to disable*/
				
			),
			'demo_url' => esc_url('http://tallythemes.com/preview/medicals-wordpress-theme-preview'), //Extranal Demo URL
			'demo_image' => esc_url(get_stylesheet_directory().'/screenshot.png'), //Extranal Demo image URL
			'doc_url' => esc_url('http://tallythemes.com/doc-item/medicals-wordpress-theme-documentation'), //Documentation URL
		);
	}
}


add_filter('steed_tgm_plugins', 'Medicals__tgm_plugins');
function Medicals__tgm_plugins($plugins){
	$plugins = array(
array(
	'name'      => 'Contact Form 7',
	'slug'      => 'contact-form-7',
	'required'  => false,
),
array(
	'name'      => 'WC Responsive Video',
	'slug'      => 'wc-responsive-video',
	'required'  => false,
),
array(
	'name'      => 'Tally Theme Setup',
	'slug'      => 'tally-theme-setup',
	'required'  => false,
),
array(
	'name'      => 'Elementor',
	'slug'      => 'elementor',
	'required'  => false,
),
	);
	
	return $plugins;
}